// LICENSE_CODE ZON
'use strict'; /*jslint browser:true, es5:true*/
(function(){

var iframe = document.getElementById('//hola.org/torrent-iframe');
if (iframe)
    return;

function scrape(){
    var links = document.querySelectorAll(
        'a[href^="magnet:"], a[href$=".torrent"], a[href*=".torrent?"]');
    if (!links.length)
        return;
    var res = [], hash = {};
    for (var i = 0; i<links.length; i++)
    {
        var href = links[i].href;
        if (!hash[href])
        {
            res.push(href);
            hash[href] = true;
        }
    }
    return res;
}

var urls = scrape();
if (!urls)
    return;

console.log('perr_mp_found_torrents');

var orig_content;
window.addEventListener('message', function onmessage(event){
    if (event.data.signature!=='hola.org')
        return true;
    switch (event.data.type)
    {
    case 'ready':
        iframe.contentWindow.postMessage(urls,
            'https://android-asset.hola.org/');
        break;
    case 'close':
        if (iframe)
        {
            iframe.parentNode.removeChild(iframe);
            iframe = undefined;
        }
        var viewport = document.querySelector("meta[name=viewport]");
        viewport.setAttribute('content', orig_content ? orig_content : '');
        window.removeEventListener('message', onmessage);
        break;
    }
    return false;
});

var viewport = document.querySelector("meta[name=viewport]");
if (viewport)
{
    orig_content = viewport.content;
    viewport.setAttribute('content', 'width=device-width, initial-scale=1.0,'
        +' minimum-scale=1, maximum-scale=1.0, user-scalable=no');
}
else
{
    var viewp = document.createElement('meta');
    viewp.name = 'viewport';
    viewp.content = 'width=device-width, initial-scale=1.0,'
        +' maximum-scale=1.0, user-scalable=0';
    document.getElementsByTagName('head')[0].appendChild(viewp);
}

iframe = document.createElement('iframe');
iframe.id = '//hola.org/torrent-iframe';
iframe.src = 'https://android-asset.hola.org/iframe.html';
iframe.style.position = 'fixed';
iframe.style.zIndex = 0x7fffffff; // INT_MAX
iframe.style.top = iframe.style.left = '0px';
iframe.style.width = iframe.style.height = '100%';
iframe.style.border = 'none';
iframe.style.padding = '20px';
iframe.style.boxSizing = 'border-box';
document.body.appendChild(iframe);

})();
